﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "SeriesBandTool 클래스 : 2개의 라인 시리즈 사이 영역 칠하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Line line1 = new Line(this.tChart.Chart);

            line1.LinePen.Width = 3;

            line1.FillSampleValues();

            Line line2 = new Line(this.tChart.Chart);

            line2.LinePen.Width = 3;

            for(int i = 0; i < line1.Count; i++)
            {
                line2.Add(line1.XValues[i], line1.YValues[i] / 2.0);
            }

            SeriesBandTool seriesBandTool = new SeriesBandTool(this.tChart.Chart);

            seriesBandTool.Gradient.Visible    = true;
            seriesBandTool.Gradient.StartColor = Color.Silver;
            seriesBandTool.Series              = line1;
            seriesBandTool.Series2             = line2;
        }

        #endregion
    }
}